CVE-2003-0099
CVSS7.2
发布时间 :2003-03-03 00:00:00
修订时间 :2008-09-10 15:17:55
NMCO    

[原文]Multiple buffer overflows in apcupsd before 3.8.6, and 3.10.x before 3.10.5, may allow attackers to cause a denial of service or execute arbitrary code, related to usage of the vsprintf function.


[CNNVD]APC apcupsd客户端syslog格式化串溢出漏洞(CNNVD-200303-009)

        
        apcupsd是一款不间断电源相关守护进程。
        apcupsd客户端存在格式化串漏洞,本地攻击者可以利用这个漏洞以apcupsd进程权限在系统上执行任意指令。
        由于apcupsd客户端中的'log_event'程序设计错误,攻击者可以提交恶意格式串而破坏堆栈内容,精心提交格式串数据可能以apcupsd进程权限在系统上执行任意指令。
        目前详细漏洞细节没有提供。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0099
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0099
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200303-009
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2003/dsa-277
(VENDOR_ADVISORY)  DEBIAN  DSA-277
http://www.securityfocus.com/bid/7200
(UNKNOWN)  BID  7200
http://www.iss.net/security_center/static/11491.php
(VENDOR_ADVISORY)  XF  apcupsd-vsprintf-multiple-bo(11491)
http://sourceforge.net/project/shownotes.php?release_id=137900
(VENDOR_ADVISORY)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=137900
http://sourceforge.net/project/shownotes.php?release_id=137892
(UNKNOWN)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=137892
http://www.novell.com/linux/security/advisories/2003_022_apcupsd.html
(UNKNOWN)  SUSE  SuSE-SA:2003:022
http://www.mandriva.com/security/advisories?name=MDKSA-2003:018
(UNKNOWN)  MANDRAKE  MDKSA-2003:018
http://securitytracker.com/id?1006108
(UNKNOWN)  SECTRACK  1006108
ftp://ftp.caldera.com/pub/security/OpenLinux/CSSA-2003-015.0.txt
(UNKNOWN)  CALDERA  CSSA-2003-015.0

- 漏洞信息

APC apcupsd客户端syslog格式化串溢出漏洞
高危 边界条件错误
2003-03-03 00:00:00 2005-10-20 00:00:00
远程  
        
        apcupsd是一款不间断电源相关守护进程。
        apcupsd客户端存在格式化串漏洞,本地攻击者可以利用这个漏洞以apcupsd进程权限在系统上执行任意指令。
        由于apcupsd客户端中的'log_event'程序设计错误,攻击者可以提交恶意格式串而破坏堆栈内容,精心提交格式串数据可能以apcupsd进程权限在系统上执行任意指令。
        目前详细漏洞细节没有提供。
        

- 公告与补丁

        厂商补丁:
        APC
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        APC Upgrade apcupsd-3.8.6.tar.gz
        
        http://prdownloads.sourceforge.net/apcupsd/apcupsd-3.8.6.tar.gz?download

- 漏洞信息

10749
APC apcupsd vsprintf Function Unspecified Multiple Overflows
Input Manipulation
Loss of Integrity

- 漏洞描述

- 时间线

2003-02-04 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站